Kuest Docs
Api referenceCore

Get User Activity

Returns the cached user activity feed

GET
/activity

Query Parameters

user*string

Wallet whose activity feed should be returned. Required.

limit?integer

Maximum number of events to return (max 500).

offset?integer

Number of rows to skip (max 10,000).

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://data-api.kuest.com/activity?user=0x56687bf447db6ffa42ffe2204a05edaa20f55839"
[
  {
    "proxyWallet": "0x56687bF447db6fFa42FfE2204a05edAa20f55839",
    "timestamp": 1718125200,
    "conditionId": "0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917",
    "type": "TRADE",
    "size": 200,
    "usdcSize": 91.5,
    "transactionHash": "0xe12b59bdc88cc2f545aba5dfa8d6c7c1a2477bf44a909b2098e8bff25b6f8891",
    "price": 0.46,
    "asset": "0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917:0",
    "side": "BUY",
    "outcomeIndex": 0,
    "title": "Will the Fed cut rates in September?",
    "slug": "fed-rate-cut-sep-2024",
    "icon": "https://cdn.domain.com/markets/fed.png",
    "eventSlug": "fomc-2024-policy",
    "outcome": "Yes",
    "name": "Macro Whale",
    "pseudonym": "macro.whale",
    "bio": "Macro strategist backing major economic events.",
    "profileImage": "https://cdn.domain.com/users/macro-whale.png",
    "profileImageOptimized": "https://cdn.domain.com/users/macro-whale@2x.jpg"
  },
  {
    "proxyWallet": "0x56687bF447db6fFa42FfE2204a05edAa20f55839",
    "timestamp": 1717664400,
    "conditionId": "0x8eee3789813eead2d47db3bdf6a1c5021f564ef18e2aefc8b80b9dcd5d6f8ac5",
    "type": "TRADE",
    "size": 150.25,
    "usdcSize": 72.62,
    "transactionHash": "0x74a824dddf426a1138d3fb0dc32d61837721528de933e3f3f9bf37fd61e48bb4",
    "price": 0.48,
    "asset": "0x8eee3789813eead2d47db3bdf6a1c5021f564ef18e2aefc8b80b9dcd5d6f8ac5:1",
    "side": "SELL",
    "outcomeIndex": 1,
    "title": "Will turnout exceed 60% in the French election?",
    "slug": "france-turnout-60",
    "icon": "https://cdn.domain.com/markets/france-election.png",
    "eventSlug": "french-presidential-2024",
    "outcome": "No",
    "name": "Civic Data Fund",
    "pseudonym": "civic.fund",
    "bio": "Collective focused on political prediction markets.",
    "profileImage": "https://cdn.domain.com/users/civic-fund.png",
    "profileImageOptimized": "https://cdn.domain.com/users/civic-fund@2x.jpg"
  }
]
{
  "error": "unknown_field: type"
}
{
  "error": "unauthorized: ip_not_allowlisted"
}
{
  "error": "internal_error: unexpected database failure"
}